【c系统】平台上获取wan口部分信息为空

01/17/2025 15:47 - 天驰 王

Status: Closed Start date: 01/17/2025

Priority: Normal Due date:  

Assignee: 齐 刘 % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

测试版本: 8984a30_tiangong0_ker_fs_fwk 复现概率: 100%

Description

【步骤】

1、在平台【网关管理-信息查询-家庭网关】页面，通过网关MAC查询网关信息

2.点击查看详情，查看wan口信息

【实际结果】:

wan口信息的接口名称，ipv4备用DNS,ipv6备用DNS为空

【预期结果】

指示灯开关应该为开

History

#1 - 01/18/2025 10:57 - 齐 刘

- Assignee changed from 家衡 付 to 齐 刘

#2 - 01/18/2025 14:58 - 齐 刘

- Status changed from New to Resolved

1. gdbus call       -y -d com.cuc.igd1 -o /com/cuc/igd1/Info/Network/WANConn

ectionDb -m com.cuc.igd1.ObjectManager.GetManagedObjects

({objectpath '/com/cuc/igd1/Info/Network/WANConnectionDb/1': {'com.cuc.igd1.WANConnectionInfo': {'Index': <'1'>, 'WANName':

<'1_INTERNET_R_VID_'>, 'IfName': <'pppoe-wan1_4096'>, 'ServiceList': <'INTERNET'>, 'LanInterface': <''>, 'VLANMode': <byte 0x00>,

'VLANID': <uint32 8192>, 'VLAN8021P': <uint32 0>, 'MulticastVlan': <-1>, 'LanDHCPEnable': <true>, 'Protocol': <byte 0x03>, 'ConnectionStatus':

<'Connected'>, 'ConnectionType': <'IP_ROUTED'>, 'NATEnabled': <true>, 'AddressingType': <'PPPOE'>, 'IPAddress': <'10.10.100.237'>,

'SubnetMask': <'255.255.255.255'>, 'Gateway': <'10.10.100.1'>, 'DNSEnabled': <true>, 'DNSServers': <'202.103.24.68,218.104.111.122'>,

'MACAddress': <'649A08656531'>, 'ConnectionTrigger': <'AlwaysOn'>, 'IPv6IPAddressOrigin': <'AutoConfigured'>, 'IPv6ConnectionStatus':

<'Connected'>, 'IPv6IPAddress': <'::'>, 'IPv6IPAddressAlias': <''>, 'IPv6DNSServers': <'240e:d:1000:100::6,240e:d:0:100::6,2400:3200::1'>,

'IPv6PrefixDelegationEnabled': <false>, 'IPv6PrefixAlias': <''>, 'IPv6PrefixOrigin': <'PrefixDelegation'>, 'IPv6Prefix': <'::/0'>, 'IPv6PrefixLength':

<'0'>, 'IPv6PrefixPltime': <uint32 0>, 'IPv6PrefixVltime': <uint32 0>, 'IPv6Gateway': <'::'>, 'UpTime': <uint32 341>, 'LastConnectionError':

<'ERROR_NONE'>, 'LastIPv6ConnectionError': <'ERROR_NONE'>, 'RxBytes': <uint64 18180>, 'TxBytes': <uint64 16041>, 'RxPkts': <uint64

83>, 'TxPkts': <uint64 112>}}},)

#3 - 01/22/2025 16:53 - 天驰 王

- Status changed from Resolved to Closed
